#
# spec file for package python3-argparse
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-argparse
Version:        1.4.0
Release:        2.6
Url:            https://github.com/ThomasWaldmann/argparse/
Summary:        Python command-line parsing library
License:        Python-2.0
Group:          Development/Languages/Python
Source:         https://files.pythonhosted.org/packages/source/a/argparse/argparse-%{version}.tar.gz
Source1:        argparse-1.1.pdf
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildArch:      noarch
Provides:       python3-argparse-doc = %{version}
Obsoletes:      python3-argparse-doc < %{version}
# For some distros, the "python3" package provides python3-argparse.
# This allows packages to explicitly define that it needs this
# backported version rather than the included version.
Provides:       python3-argparse-backport = %{version}
Obsoletes:      python3-argparse-backport < %{version}

%description
The argparse module provides an easy, declarative interface for
creating command line tools, which knows how to:

* parse the arguments and flags from sys.argv
* convert arg strings into objects for your program
* format and print informative help messages
* and much more... 

The argparse module improves on the standard library optparse module
in a number of ways including:

* handling positional arguments
* supporting sub-commands
* allowing alternative option prefixes like + and /
* handling zero-or-more and one-or-more style arguments
* producing more informative usage messages
* providing a much simpler interface for custom types and actions 

%prep
%setup -n argparse-%{version}
mkdir html
pushd doc
    mv * ../html/
    mv ../html .
popd
sed -i "s/\r//" NEWS.txt # Avoid warning wrong-file-end-of-line-encoding
cp %{SOURCE1} doc/

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files 
%defattr(-,root,root,-)
%doc NEWS.txt README.txt doc/*
%python3_sitelib/*

%changelog
* Sun May  8 2016 arun@gmx.de
- specfile:
  * updated source url to files.pythonhosted.org
* Tue Oct  6 2015 aloisio@gmx.com
- Initial python3 package (1.4.0)
